import '@babel/polyfill'
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './logger'
import './core/lazy_use'
import { version } from '../package.json'


import Element from 'element-ui'

import enLocale from 'element-ui/lib/locale/lang/en'

import VueAwesomeSwiper from 'vue-awesome-swiper'
import '@/assets/font/iconfont.css'
// require styles
import 'swiper/dist/css/swiper.css'
import store from './store/'
// import VueMaterial from 'vue-material'
// import 'vue-material/dist/theme/default.css'
// import 'vue-material/dist/vue-material.css'

// Vue.use(VueMaterial) //Required to boot vue material
Vue.use(VueAwesomeSwiper, /* { default global options } */)
Vue.use(Element, { size: 'small', zIndex: 3000},{enLocale});
//Vue.use(Element, { size: 'small', zIndex: 3000},{zhLocale});

Vue.config.productionTip = false
Vue.prototype.VERSION = version

Vue.use(router)

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
